| Linux NFC User Mode Stack

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
nfcHandoverCallback_t Struct Reference

Handover callback functions structure definition. More...

`#include <linux_nfc_api.h>`

## Public Attributes
void(* | onHandoverRequestReceived )(unsigned char *msg, unsigned int length)
| Handover Request callback function. Use ndef_readHandoverRequestInfo() to parse the message. More...
void(* | onHandoverSelectReceived )(unsigned char *msg, unsigned int length)
| Handover Select callback function. Use ndef_readHandoverSelectInfo() to parse the message. More...

## Detailed Description

Handover callback functions structure definition.

Definition at line 411 of file linux_nfc_api.h.

## Member Data Documentation

void(* nfcHandoverCallback_t::onHandoverRequestReceived) (unsigned char *msg, unsigned int length)

Handover Request callback function.
Use ndef_readHandoverRequestInfo() to parse the message.

Parameters

  msg | Handover request NDEF message from remote device
  length | Handover request NDEF message length

Definition at line 418 of file linux_nfc_api.h.

void(* nfcHandoverCallback_t::onHandoverSelectReceived) (unsigned char *msg, unsigned int length)

Handover Select callback function.
Use ndef_readHandoverSelectInfo() to parse the message.

Parameters

  msg | Handover select NDEF message from remote device
  length | Handover select NDEF message length

Definition at line 425 of file linux_nfc_api.h.

The documentation for this struct was generated from the following file:

- C:/Users/nxp99386/Documents/Nest/libnfc-nci-linux/libnfc-nci-linux/src/include/linux_nfc_api.h